Name:           mate-netspeed
Version:        1.5.1
Release:        2%{?dist}
Summary:        MATE netspeed
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz
#Fix RHBZ #918641
Patch0: netspeed_commits.patch

BuildRequires:  mate-common
BuildRequires:  mate-doc-utils
BuildRequires:  libgtop2-devel
BuildRequires:  mate-panel-devel
BuildRequires:  gtk2-devel
Requires:       mate-panel

%description
MATE netspeed is an applet that shows how much 
traffic occurs on a specified network device. 

%prep
%setup -q
%patch0 -p1
%build
NOCONFIGURE=1 ./autogen.sh
export LDFLAGS="$LDFLAGS -lm"
%configure                                 \
                --disable-static           \
                --disable-scrollkeeper     \
                --disable-schemas-compile  \
                --with-gnu-ld

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name} --all-name

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_libexecdir}/mate-netspeed-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.NetspeedAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.netspeed.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/*x*/devices/*.png
%{_datadir}/mate/help/mate_netspeed_applet
%{_datadir}/omf/mate_netspeed_applet
%{_datadir}/icons/hicolor/*x*/status/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-netspeed-applet.svg
%{_datadir}/mate-panel/applets/org.mate.panel.NetspeedApplet.mate-panel-applet
%{_datadir}/mate-panel/ui/netspeed-menu.xml

%changelog
* Thu Mar 07 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-2
- Fix performance issues

* Sat Feb 23 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Update to latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Initial build
